package com.yd.csf.service.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yd.csf.feign.request.expectedfortune.ApiExpectedFortunePageRequest;
import com.yd.csf.feign.response.expectedfortune.ApiExpectedFortunePageResponse;
import com.yd.csf.service.model.ExpectedFortune;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yd.csf.service.vo.ExpectedFortuneStatisticsVO;

import java.util.List;

/**
 * <p>
 * 预计发佣表 服务类
 * </p>
 *
 * @author zxm
 * @since 2025-11-17
 */
public interface IExpectedFortuneService extends IService<ExpectedFortune> {

    IPage<ApiExpectedFortunePageResponse> page(Page<ApiExpectedFortunePageResponse> page,
                                               ApiExpectedFortunePageRequest request);

    List<ExpectedFortune> listByPolicyBizId(String policyBizId);

    List<ExpectedFortune> queryList(String policyNo);

    Boolean batchDelByPolicyNo(String policyNo);

    ExpectedFortuneStatisticsVO getStatistics(List<Long> expectedFortuneIds);

    IPage<ApiExpectedFortunePageResponse> getVOPage(IPage<ExpectedFortune> iPage);
}
